Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:	ISO Master is an open-source, easy to use, graphical CD image editor
Name:		isomaster
Version:	1.3.4
Release:	1
License:	GNU/GPL
URL:		http://littlesvr.ca/isomaster/index.php
Source0:	%{name}-%{version}.tar.bz2
Group:		Archiving/Compression
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	mousepad

#Automatically resolved build dependencies
BuildRequires: cairo-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glib
BuildRequires: glibc-devel
BuildRequires: gtk2+-devel
BuildRequires: pango-devel
BuildRequires: zlib-devel

%description
ISO Master is an open-source, easy to use, graphical CD image editor for Linux 
and BSD. Basically you can use this program to extract files from an ISO, add 
files to an ISO, and create bootable ISOs - all in a graphical user interface. 
It can open ISO, NRG, and some MDF files but can only save as ISO.

ISO Master is based on bkisofs - a library for reading, modifying and writing 
ISO images.

The hard part of this project is the library for working with ISOs (bkisofs). 
My hope is that people will like this library enough to make their own GUIs 
using it. So my choice of widget set (GTK, that is) will not necessarily annoy 
too many people.

%prep
%setup -q -n %{name}-%{version}

%build
PREFIX=%_prefix make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%_prefix

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_mandir/man1/isomaster.1.gz
%_datadir/applications/isomaster.desktop
%_datadir/locale/*/LC_MESSAGES/isomaster.mo
%_datadir/isomaster/icons
%_bindir/isomaster

%changelog
* Tue Dec 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.4-1
- version update
* Tue Mar 11 2008 Christian Wasem <wasem@ccux-linux.de> 1.3.1-1
- version update
* Wed Dec 26 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3-1
- version update
* Tue Nov 27 2007 Christian Metzen <metzench@ccux-linux.de> 1.2-1
- Version update, changed package group
* Sun Oct 21 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.1-1
- Initial Release
